Bug 826759 - broken/pointless plymouth posttrans scriptlet?
broken/pointless plymouth posttrans scriptlet?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
17
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 18:40 EDT by Peter Backes
Modified: 2013-08-01 06:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:09:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Backes 2012-05-30 18:40:04 EDT
Description of problem:
plymouth's posttrans scriptlet tries to invoke /usr/libexec/plymouth/plymouth-generate-initrd, which is defunct. plymouth, however, seems to run fine without plymouth-initrd, since it seems to be included on the initramfs by dracut. Is plymouth-initrd still needed?

Version-Release number of selected component (if applicable):
plymouth-0.8.4-0.20120319.2.fc17.i686

How reproducible:
always

Steps to Reproduce:
1. install plymouth
  
Actual results:
posttrans says "Need 'inst' function, try setting PLYMOUTH_POPULATE_SOURCE_FUNCTIONS to a file that defines it"

The same thing happens if you invoke /usr/libexec/plymouth/plymouth-generate-initrd manually.

Expected results:
- nothing?
- plymouth-initrd is created?

I can't really tell you, since I don't understand the logic about what this plymouth-initrd is supposed to be good for.

Additional info:
Note bug 615763; you won't see the error message if you use yum to install the package.
Comment 1 Fedora End Of Life 2013-07-03 23:06:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 06:09:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.